Unit tmnb8r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FMNB8R_p, MNB8R_p;

function tmnb8r: String;

implementation

function tmnb8r: String;
var
NACC,KOUNT,ITER,IER :Integer;
FMIN,XMIN :Real;
X :Array [0..0] of Real;
S :Array [0..0] of Real;
XX :Array [0..0] of Real;
const
N :Integer = 1;
AA :Real = 4.2;
BB :Real = 4.8;
EPS :Real = 1.0E-16;
EPSX :Real = 1.0E-6;
ITMAX :Integer = 100;
MAXK :Integer = 100;
begin
Result := '';  {   }
{   DATA  FORTRAN  }
X[0] := 0.0;
S[0] := 1.0;
NACC := 1;
Result := Result + Format('%s',
 ['          OHOMEPHA MHMA METOOM ''OOTOO CEEH''' + #$0D#$0A]);
Result := Result + Format('%s',['          HTEPBA  (']);
Result := Result + Format('  %20.16f   %20.16f ',[AA,BB]);
Result := Result + Format('%s',[' )' + #$0D#$0A]);
Result := Result + Format('%s',['          TOHOCT O YHKOHAY']);
Result := Result + Format('  %20.16f ',[EPS]);
Result := Result + Format('%s',['          TOHOCT O APYMEHTY']);
Result := Result + Format('  %20.16f ',[EPSX]);
Result := Result + Format('%s',
 ['          MAKCMAHOE CO TEPA']);
Result := Result + Format('  %6d ',[ITMAX]);
Result := Result + Format('%s',
 ['          MAKCMAHOE CO B. YHK']);
Result := Result + Format('  %6d ',[MAXK]) + #$0D#$0A;
MNB8R(N,X,S,XX,FMNB8R,AA,BB,EPSX
     ,EPS,ITMAX,MAXK,FMIN,XMIN
     ,KOUNT,ITER,NACC,IER);
Result := Result + Format('%s',['          IER=']);
Result := Result + Format('%3d ',[IER]);
Result := Result + Format('%s',['          ITER=']);
Result := Result + Format('%5d ',[ITER]);
Result := Result + Format('%s',['          FMIN=']);
Result := Result + Format('%20.16f ',[FMIN]);
Result := Result + Format('%s',['          XMIN=']);
Result := Result + Format('%20.16f ',[XMIN]) + #$0D#$0A;
Result := Result + Format('%s',['          KOUNT=']);
Result := Result + Format('%5d ',[KOUNT]) + #$0D#$0A;
UtRes('tmnb8r',Result);  {     tmnb8r.res }
exit;
end;

end.
